GrailsProjectWarCreator (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.project.packaging

## [Groovy] Class GrailsProjectWarCreator

- org.codehaus.groovy.grails.project.packaging.GrailsProjectWarCreator

- Creates a WAR file from a Grails project.

  Authors:
    Graeme Rocher
  Since:
    2.1

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BaseSettingsApi` | `appClassName, buildEventListener, buildProps, buildSettings, configSlurper, enableProfile, grailsAppName, grailsHome, isInteractive, metadata, metadataFile, pluginSettings, pluginsHome, resolver`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.Object` | `additionalEventArgs`
    `boolean` | `buildExplodedWar`
    `groovy.lang.Closure` | `defaultWarDependencies`
    `GrailsBuildEventListener` | `eventListener`
    `BuildSettings` | `grailsSettings`
    `boolean` | `includeJars`
    `java.lang.String` | `warName`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsProjectWarCreator (BuildSettings settings, GrailsBuildEventListener buildEventListener, GrailsProjectPackager projectPackager, groovy.util.AntBuilder ant = new AntBuilder(, boolean interactive = false)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.Object` | `cleanUpAfterWar()` ") fileset(dir: "${resourcesDirPath}/grails-app", includes: "i18n/**") }
    `java.lang.String` | `configureWarName(java.lang.String commandLineName = null)`
    `void` | `createDescriptor()`
    `protected void` | `createDescriptorInternal(java.lang.Object pluginInfos, java.lang.Object resourceList)`
    `void` | `packageWar()`
    `void` | `packageWarOnly()`
    `void` | `warPluginsInternal(java.util.List<GrailsPluginInfo> pluginInfos)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BaseSettingsApi` | `confirmInput, confirmInput, copyGrailsResource, copyGrailsResource, copyGrailsResources, copyGrailsResources, createXmlSlurper, enableUaa, exit, getAppClassName, getAppGrailsVersion, getBuildEventListener, getBuildProps, getBuildSettings, getConfigSlurper, getGrailsAppName, getGrailsAppVersion, getGrailsHome, getIsInteractive, getMetadata, getMetadataFile, getPluginBuildSettings, getPluginSettings, getPluginsHome, getPropertyValue, getResolver, getServerHost, getServerPort, getServerPortHttps, getServletVersion, grailsResource, isDeclared, isEnableProfile, logError, logErrorAndExit, makeApiAvailableToScripts, makeRelative, makeRelative, profile, readAllPluginXmlMetadata, readPluginXmlMetadata, resolveResources, updateMetadata, updateMetadata`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### java.lang.Object additionalEventArgs

    - #### boolean buildExplodedWar

    - #### groovy.lang.Closure defaultWarDependencies

    - #### GrailsBuildEventListener eventListener

    - #### BuildSettings grailsSettings

    - #### boolean includeJars

    - #### java.lang.String warName

  - ### Constructor Detail

    - #### GrailsProjectWarCreator(BuildSettings settings, GrailsBuildEventListener buildEventListener, GrailsProjectPackager projectPackager, groovy.util.AntBuilder ant = new AntBuilder(, boolean interactive = false)

  - ### Method Detail

    - #### java.lang.Object cleanUpAfterWar()

      ") fileset(dir: "${resourcesDirPath}/grails-app", includes: "i18n/**") } def classesDirExcludes = { exclude(name: "hibernate") exclude(name: "spring") exclude(name: "hibernate/*") exclude(name: "spring/*") } ant.copy(todir:"${stagingDir}/WEB-INF/classes", preservelastmodified:true) { fileset(dir:pluginClassesDirPath, classesDirExcludes) } ant.copy(todir:"${stagingDir}/WEB-INF/classes", overwrite:true, preservelastmodified:true) { fileset(dir:classesDirPath, classesDirExcludes) } ant.mkdir(dir:"${stagingDir}/WEB-INF/spring") ant.copy(todir:"${stagingDir}/WEB-INF/spring", preservelastmodified:true) { fileset(dir:"${basedir}/grails-app/conf/spring", includes:"*

    - #### @groovy.transform.CompileStatic java.lang.String configureWarName(java.lang.String commandLineName = null)

    - #### @groovy.transform.CompileStatic void createDescriptor()

    - #### protected void createDescriptorInternal(java.lang.Object pluginInfos, java.lang.Object resourceList)

    - #### void packageWar()

    - #### void packageWarOnly()

    - #### void warPluginsInternal(java.util.List<GrailsPluginInfo> pluginInfos)